# CEGUI::SubscriberTemplate< Ret, Args > Class Template Reference

This template describes the Subscriber class. It is a wrapper for a pointer to a SubscriberInterface with various constructors that will by implicit conversion construct the various binders. More...

List of all members.

## Public Types

typedef Ret(* | SlotFunction )(Args)

## Public Member Functions

Ret | operator() (Args args) const
| SubscriberTemplate (SlotFunction f)
| construct from a free function
template<class T>
| SubscriberTemplate (Ret(T::*f)(Args), T *target)
| construct from a member function and a pointer to the target object.
template<typename Functor>
| SubscriberTemplate (const Functor &f)
| construct from a generalized functor by copying it
| SubscriberTemplate (SubscriberInterface< Ret, Args > *si)
| construct from a preconstructed SubscriberInterface. used for SubscriberRef().
| SubscriberTemplate (const SubscriberTemplate< Ret, Args > &copy)
| copy constructor
bool | operator< (const SubscriberTemplate< Ret, Args > &rhs) const
| 'less than' comparable for insertion in a map
void | release () const
| release the binding -- called upon disconnection

## Protected Attributes

SubscriberInterface< Ret, Args > * | d_si

## Detailed Description

### template<typename Ret, typename Args>
class CEGUI::SubscriberTemplate< Ret, Args >

This template describes the Subscriber class. It is a wrapper for a pointer to a SubscriberInterface with various constructors that will by implicit conversion construct the various binders.